{% extends "base.html" %}
{% load i18n %}
{% load widget_tweaks %}

{% block title %}
Docuweb | Toevoegen
{% endblock %}

{% block banner %}
    <h1 class="title">{% trans "Nieuwe document toevoegen" %}</h1>
{% endblock %}

{% block body %}
    {% if form.errors %}
        <div class="notification is-danger">
            <button class="delete"></button>
            <div class="content">
                {% if form.non_field.errors %}
                    <p>
                        <strong>{% trans "General" %}:</strong>
                        {{ form.non_field.errors }}
                    </p>
                {% endif %}
                {% if form.title.errors %}
                    <p>
                        <strong>{% trans "Title" %}:</strong>
                        {{ form.title.errors }}
                    </p>
                {% endif %}
                {% if form.category.errors %}
                    <p>
                        <strong>{% trans "Category" %}:</strong>
                        {{ form.category.errors }}
                    </p>
                {% endif %}
                {% if form.file.errors %}
                    <p>
                        <strong>{% trans "File" %}:</strong>
                        {{ form.file.errors }}
                    </p>
                {% endif %}
            </div>
        </div>
    {% endif %}

    <form method="post" enctype="multipart/form-data">{% csrf_token %}

        <div class="field has-addons has-addons-centered">
            <div class="control has-icons-left">
                <div class="select {% if form.category.errors %}is-danger{% endif %}">
                    {{ form.category }}
                    <span class="icon is-small is-left">
                        <i class="fas fa-book"></i>
                    </span>
                </div>
            </div>
            <div class="control has-icons-left has-icons-right is-expanded">
                {% if not form.title.errors %}
                    {{ form.title }}
                {% else %}
                    {{ form.title|add_class:" is-danger" }}
                    <span class="icon is-small is-right">
                        <i class="fas fa-exclamation-triangle"></i>
                    </span>
                {% endif %}
                <span class="icon is-small is-left">
                    <i class="fas fa-file-signature"></i>
                </span>
            </div>
        </div>

        <div class="field">
            <div class="control">
                <div class="file has-name is-boxed is-centered is-large {% if form.file.errors %}is-danger{% endif %}">
                    <label class="file-label">
                        {{ form.file }}
                        <span class="file-cta">
                            <span class="file-icon">
                                <i class="fas fa-upload"></i>
                            </span>
                            <span class="file-icon">
                                <i class="fas fa-file-pdf"></i>
                            </span>
                            <span class="file-label">
                                {% trans "Kies een bestand…" %}
                            </span>
                        </span>
                        <span class="file-name">
                            {% trans "Geen bestand gekozen" %}
                        </span>
                    </label>
                </div>
            </div>
        </div>

        <div class="field is-grouped is-grouped-centered">
            <div class="control">
                <button type="submit" class="button is-link">{% trans "Submit" %}</button>
            </div>
            <div class="control">
                <a type="button" class="button is-link is-light" href="{% url 'docuweb:list' %}">{% trans "Cancel" %}</a>
            </div>
        </div>
    </form>
{% endblock %}

{% block scripts_postload %}

<script>
    addFileUploadInputEventListeners();
    addNotificationDeleteEventListeners();
</script>

{{ block.super }}

{% endblock %}